LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::ui::dialogs::ExtendedFilePickerElementIds Constant Group Referencepublished

## Variables
const short | CHECKBOX_AUTOEXTENSION = 100
const short | CHECKBOX_PASSWORD = 101
const short | CHECKBOX_FILTEROPTIONS = 102
const short | CHECKBOX_READONLY = 103
const short | CHECKBOX_LINK = 104
const short | CHECKBOX_PREVIEW = 105
const short | PUSHBUTTON_PLAY = 106
const short | LISTBOX_VERSION = 107
const short | LISTBOX_TEMPLATE = 108
const short | LISTBOX_IMAGE_TEMPLATE = 109
const short | CHECKBOX_SELECTION = 110
const short | LISTBOX_VERSION_LABEL = 207
const short | LISTBOX_TEMPLATE_LABEL = 208
const short | LISTBOX_IMAGE_TEMPLATE_LABEL = 209
const short | LISTBOX_FILTER_SELECTOR = 210
const short | CHECKBOX_GPGENCRYPTION = 211
const short | LISTBOX_IMAGE_ANCHOR = 212
const short | LISTBOX_IMAGE_ANCHOR_LABEL = 213
const short | CHECKBOX_GPGSIGN = 214

## Detailed Description

These constants are used to specify extended controls of a FilePicker dialog. A FilePicker service may be initialized so that it has additional controls extending the set of common controls a FilePicker usually supports.

See also
  com::sun::star::ui::dialogs::FilePicker
  com::sun::star::ui::dialogs::XFilePickerControlAccess
  com::sun::star::ui::dialogs::CommonFilePickerElementIds

## Variable Documentation

## ◆ CHECKBOX_AUTOEXTENSION

const short CHECKBOX_AUTOEXTENSION = 100

## ◆ CHECKBOX_FILTEROPTIONS

const short CHECKBOX_FILTEROPTIONS = 102

## ◆ CHECKBOX_GPGENCRYPTION

const short CHECKBOX_GPGENCRYPTION = 211

Since
  LibreOffice 6.0

## ◆ CHECKBOX_GPGSIGN

const short CHECKBOX_GPGSIGN = 214

Since
  LibreOffice 25.2

## ◆ CHECKBOX_LINK

const short CHECKBOX_LINK = 104

## ◆ CHECKBOX_PASSWORD

const short CHECKBOX_PASSWORD = 101

## ◆ CHECKBOX_PREVIEW

const short CHECKBOX_PREVIEW = 105

## ◆ CHECKBOX_READONLY

const short CHECKBOX_READONLY = 103

## ◆ CHECKBOX_SELECTION

const short CHECKBOX_SELECTION = 110

## ◆ LISTBOX_FILTER_SELECTOR

const short LISTBOX_FILTER_SELECTOR = 210

## ◆ LISTBOX_IMAGE_ANCHOR

const short LISTBOX_IMAGE_ANCHOR = 212

Since
  LibreOffice 6.1

## ◆ LISTBOX_IMAGE_ANCHOR_LABEL

const short LISTBOX_IMAGE_ANCHOR_LABEL = 213

Since
  LibreOffice 6.1

## ◆ LISTBOX_IMAGE_TEMPLATE

const short LISTBOX_IMAGE_TEMPLATE = 109

## ◆ LISTBOX_IMAGE_TEMPLATE_LABEL

const short LISTBOX_IMAGE_TEMPLATE_LABEL = 209

## ◆ LISTBOX_TEMPLATE

const short LISTBOX_TEMPLATE = 108

## ◆ LISTBOX_TEMPLATE_LABEL

const short LISTBOX_TEMPLATE_LABEL = 208

## ◆ LISTBOX_VERSION

const short LISTBOX_VERSION = 107

## ◆ LISTBOX_VERSION_LABEL

const short LISTBOX_VERSION_LABEL = 207

## ◆ PUSHBUTTON_PLAY

const short PUSHBUTTON_PLAY = 106